Skip to end of metadata
Go to start of metadata

Applies to:

Cryptshare Server from version 3.10.1.0

Symptom:

After updating the Cryptshare Server to v3.10.1.0, passwords used or auto-generated in Cryptshare for Notes are not accepted by the server. The log file shows the following error message:


Cause:

Cryptshare Server v3.10.1.0 introduces a server-side password validation in order to avoid the possibility to send transfers without fulfilling the password security requirements.
Transfers using a password which does not comply with the password security settings will therefore be declined.


Solution:

Solution 1: Use a password which does comply with the Security Settings or change the Security Settings

The recommended solution for this issue is to fulfill the password security requirements that have been set on server-side. Edit the password requirements settings in Cryptshare for Notes to match the password requirement settings on server side.

Solution 2: Disable password validation for the XML interface

If solution 1 is not applicable, password validation for this interface can also be disabled. In this case the interface will behave the same way as it did in earlier versions.
In order to disable the password validation set the respective configuration flag for disabling the password validation to false.